close

[Solved] ImportError: Install xlrd >= 0.9.0 for Excel support

Hello Guys, How are you all? Hope You all Are Fine. Today I am just trying to read a .xlsx with pandas But I am facing following error ImportError: Install xlrd >= 0.9.0 for Excel support in python. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How ImportError: Install xlrd >= 0.9.0 for Excel support Error Occurs ?

I am just trying to read a .xlsx with pandas But I am facing following error.

ImportError: Install xlrd >= 0.9.0 for Excel support

How To Solve ImportError: Install xlrd >= 0.9.0 for Excel support Error ?

  1. How To Solve ImportError: Install xlrd >= 0.9.0 for Excel support Error ?

    To Solve ImportError: Install xlrd >= 0.9.0 for Excel support Error Error is mentioning that you should install xlrd. Just use following command. Now your error should solved. pip install xlrd. Second solution is Here xlrd is no longer support xlsx-Files as mentioned in theirs document. You can use openpyxl instead of xlrd pip install openpyxl. And use openpyxl as engine Here is example.

  2. ImportError: Install xlrd >= 0.9.0 for Excel support

    To Solve ImportError: Install xlrd >= 0.9.0 for Excel support Error Error is mentioning that you should install xlrd. Just use following command. Now your error should solved. pip install xlrd. Second solution is Here xlrd is no longer support xlsx-Files as mentioned in theirs document. You can use openpyxl instead of xlrd pip install openpyxl. And use openpyxl as engine Here is example.

Solution 1: install xlrd

Error is mentioning that you should install xlrd. Just use following command. Now your error should solved.

pip install xlrd

Solution 2: use openpyxl instead of xlrd

Here xlrd is no longer support xlsx-Files as mentioned in theirs document. You can use openpyxl instead of xlrd

pip install openpyxl

And use openpyxl as engine Here is example.

import pandas as pd
pd.read_excel('path/to/file.xlsx', engine='openpyxl')

Solution 3: Install xlrd

Just install xlrd

pip install xlrd

if you are using conda then, use

conda install -c anaconda xlrd

Summary

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you?

Also, Read

Please Rate Our Solution to Motivate Us For Give Our Best

Leave a Comment